Home

IBC-GO - gRPC Gateway docs

v1.0.0
Base URL
https://axelar.nownodes.io

A REST interface for state queries

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

Core

Channels queries all the IBC channels of a chain.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Channel queries an IBC Channel.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response

ChannelClientState queries for the client state for the channel associated with the provided channel identifiers.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/client_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response

ChannelConsensusState queries for the consensus state for the channel associated with the provided channel identifiers.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

revision_numberstring<uint64>requiredpath

revision number of the consensus state

revision_heightstring<uint64>requiredpath

revision height of the consensus state

Response

200OK

A successful response.

default

An unexpected error response

NextSequenceReceive returns the next receive sequence for a given channel.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/next_sequence

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

Response

200OK

A successful response.

default

An unexpected error response

PacketAcknowledgements returns all the packet acknowledgements associated with a channel.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acknowledgements

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

packet_commitment_sequencesArray<string>query

list of packet sequences.

Response

200OK

A successful response.

default

An unexpected error response

PacketAcknowledgement queries a stored packet acknowledgement hash.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_acks/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response

PacketCommitments returns all the packet commitments hashes associated with a channel.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a channel and sequences.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

packet_ack_sequencesArray<string>requiredpath

list of acknowledgement sequences

Response

200OK

A successful response.

default

An unexpected error response

UnreceivedPackets returns all the unreceived IBC packets associated with a channel and sequences.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{packet_commitment_sequences}/unreceived_packets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

packet_commitment_sequencesArray<string>requiredpath

list of packet sequences

Response

200OK

A successful response.

default

An unexpected error response

PacketCommitment queries a stored packet commitment hash.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_commitments/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response

PacketReceipt queries if a given packet sequence has been received on the queried chain

GET
https://axelar.nownodes.io/ibc/core/channel/v1/channels/{channel_id}/ports/{port_id}/packet_receipts/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

channel unique identifier

port_idstringrequiredpath

port unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

default

An unexpected error response

ConnectionChannels queries all the channels associated with a connection end.

GET
https://axelar.nownodes.io/ibc/core/channel/v1/connections/{connection}/channels

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connectionstringrequiredpath

connection unique identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

ClientStates queries all the IBC light clients of a chain.

GET
https://axelar.nownodes.io/ibc/core/client/v1/client_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

ClientState queries an IBC light client.

GET
https://axelar.nownodes.io/ibc/core/client/v1/client_states/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client state unique identifier

Response

200OK

A successful response.

default

An unexpected error response

Status queries the status of an IBC client.

GET
https://axelar.nownodes.io/ibc/core/client/v1/client_status/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client unique identifier

Response

200OK

A successful response.

default

An unexpected error response

ConsensusStates queries all the consensus state associated with a given client.

GET
https://axelar.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

ConsensusStateHeights queries the height of every consensus states associated with a given client.

GET
https://axelar.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}/heights

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

ConsensusState queries a consensus state associated with a client state at a given height.

GET
https://axelar.nownodes.io/ibc/core/client/v1/consensus_states/{client_id}/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier

revision_numberstring<uint64>requiredpath

consensus state revision number

revision_heightstring<uint64>requiredpath

consensus state revision height

latest_heightboolean<boolean>query

latest_height overrrides the height field and queries the latest stored ConsensusState.

Response

200OK

A successful response.

default

An unexpected error response

ClientConnections queries the connection paths associated with a client state.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/client_connections/{client_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client identifier associated with a connection

Response

200OK

A successful response.

default

An unexpected error response

Connections queries all the IBC connections of a chain.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/connections

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalboolean<boolean>query

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverseboolean<boolean>query

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response

Connection queries an IBC connection end.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/connections/{connection_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection unique identifier

Response

200OK

A successful response.

default

An unexpected error response

ConnectionClientState queries the client state associated with the connection.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/connections/{connection_id}/client_state

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection identifier

Response

200OK

A successful response.

default

An unexpected error response

ConnectionConsensusState queries the consensus state associated with the connection.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/connections/{connection_id}/consensus_state/revision/{revision_number}/height/{revision_height}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

connection_idstringrequiredpath

connection identifier

revision_numberstring<uint64>requiredpath
revision_heightstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response

Query

Params returns the querying grpc-gateway of the connection parameters.

GET
https://axelar.nownodes.io/ibc/core/connection/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response

Clients

ClientParams queries all parameters of the ibc client.

GET
https://axelar.nownodes.io/ibc/core/client/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

UpgradedClientStates queries the upgraded client state identified by the gov proposal.

GET
https://axelar.nownodes.io/ibc/core/client/v1/upgraded_client_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

UpgradedConsensusStates queries the upgraded consensus state identified by the gov proposal.

GET
https://axelar.nownodes.io/ibc/core/client/v1/upgraded_consensus_states

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

ChannelV2

NextSequenceSend returns the next send sequence for a given channel.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/next_sequence_send

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client unique identifier

Response

200OK

A successful response.

PacketCommitment queries a stored packet commitment hash.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath

client unique identifier

sequencestring<uint64>requiredpath

packet sequence

Response

200OK

A successful response.

PacketCommitments returns all packet commitments associated with a client.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_commitments

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
pagination.keystring<byte>query
pagination.offsetstring<uint64>query
pagination.limitstring<uint64>query
pagination.count_totalbooleanquery
pagination.reversebooleanquery

Response

200OK

A successful response.

PacketAcknowledgement queries a stored acknowledgement commitment hash.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_acks/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
sequencestring<uint64>requiredpath

Response

200OK

A successful response.

PacketAcknowledgements returns all packet acknowledgements associated with a client.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_acknowledgements

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
pagination.keystring<byte>query
pagination.limitstring<uint64>query
packet_commitment_sequencesArray<string>query

list of packet sequences

Response

200OK

A successful response.

PacketReceipt queries a stored packet receipt.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_receipts/{sequence}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
sequencestring<uint64>requiredpath

Response

200OK

A successful response.

UnreceivedPackets returns all the unreceived IBC packets associated with a client and sequences.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{sequences}/unreceived_packets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
sequencesArray<string>requiredpath

list of packet sequences

Response

200OK

A successful response.

UnreceivedAcks returns all the unreceived IBC acknowledgements associated with a client and sequences.

GET
https://axelar.nownodes.io/ibc/core/channel/v2/clients/{client_id}/packet_commitments/{packet_ack_sequences}/unreceived_acks

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

client_idstringrequiredpath
packet_ack_sequencesArray<string>requiredpath

list of acknowledgement sequences

Response

200OK

A successful response.

Apps

EscrowAddress returns the escrow address for a particular port and channel id.

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/channels/{channel_id}/ports/{port_id}/escrow_address

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

channel_idstringrequiredpath

unique channel identifier

port_idstringrequiredpath

unique port identifier

Response

200OK

A successful response.

default

An unexpected error response

DenomHash queries a denomination hash information.

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/denom_hashes/{trace}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

tracestringrequiredpath

The denomination trace ([port_id]/[channel_id])+/[denom]

Response

200OK

A successful response.

default

An unexpected error response

Denoms queries all denominations

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/denoms

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query
pagination.offsetstring<uint64>query
pagination.limitstring<uint64>query
pagination.count_totalbooleanquery
pagination.reversebooleanquery

Response

200OK

A successful response.

Denom queries a denomination

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/denoms/{hash}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

hashstringrequiredpath

hash (in hex format) or denom (full denom with ibc prefix) of the on chain denomination.

Response

200OK

A successful response.

TotalEscrowForDenom returns the total amount of tokens in escrow based on the denom.

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/total_escrow/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

The denomination, e.g. uatom or ibc/27394FB0...

Response

200OK

A successful response.

Params queries all parameters of the ibc-transfer module.

GET
https://axelar.nownodes.io/ibc/apps/transfer/v1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response